<?php
include("ServerScriptHelper.php");
 
$serverScriptHelper = new ServerScriptHelper();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-printserver", "/base/printserver/printerAddHandler.php"); 


$page = $factory->getPage();

$block = $factory->getPagedBlock("addNewPrinter");

$block->addFormField(
	$factory->getTextField("printerNameField"),
	$factory->getLabel("printerNameField")
);

$usb = $factory->getOption("usb");
$network = $factory->getOption("network");

$spool=$factory->getTextField("printerSpoolField", "");
$spool->setOptional(true);

$network->addFormField(
        $factory->getNetAddress("printerHostNameField", ""),
        $factory->getLabel("printerHostNameField")
);

$network->addFormField(
        $spool,
        $factory->getLabel("printerSpoolField")
);

$location = $factory->getMultiChoice("locationField");

$location->addOption($usb);
$location->addOption($network);

$block->addFormField(
	$location,
	$factory->getLabel("locationField")
);

$up=$factory->getFileUpload("ppdFileField");
$up->setOptional(true);
$block->addFormField(
	$up,
	$factory->getLabel("ppdFileField")
);

$block->addButton($factory->getSaveButton($page->getSubmitAction()));
$block->addButton($factory->getCancelButton("/base/printserver/printerList.php"));

$serverScriptHelper->destructor();

?>
<?php print($page->toHeaderHtml()); ?>

<?php print($block->toHtml()); ?>

<SCRIPT>

function checkName(element){
	var foo = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
	for (var i = 0; i < element.value.length; i++){
		if(foo.indexOf(element.value.charAt(i)) == -1){
			top.code.error_invalidElement(element, top.code.string_substitute(element.invalidMessage, "[[VAR.invalidValue]]", element.value));
			return false;
		}
	}
	return true;
}

document.form.printerNameField.changeHandler=checkName;

</SCRIPT>
<?php print($page->toFooterHtml()); ?> 
