<?php
include("ServerScriptHelper.php");
 
$serverScriptHelper = new ServerScriptHelper();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-printserver", "/base/printserver/printerModHandler.php?oldPrinterName=".$printerName); 
$cceClient = $serverScriptHelper->getCceClient();
$i18n = $serverScriptHelper->getI18n();

$printer=$cceClient->getObject("Printer", array("name"=>$printerName));

$page = $factory->getPage();

$block = $factory->getPagedBlock("modPrinter");

$block->addFormField(
	$factory->getTextField("printerNameField", $printer["name"]),
	$factory->getLabel("printerNameField")
);

$usb = $factory->getOption("usb");
$network = $factory->getOption("network");

$network->addFormField(
        $factory->getNetAddress("printerHostNameField", $printer["hostname"]),
        $factory->getLabel("printerHostNameField")
);

$network->addFormField(
        $factory->getTextField("printerSpoolField", $printer["spool"]),
        $factory->getLabel("printerSpoolField")
);

$location = $factory->getMultiChoice("locationField");
 
$location->addOption($usb);
$location->addOption($network);

if($printer["location"] == "usb"){
	$location->setSelected(0, true);
}else{
	$location->setSelected(1, true);
}

$block->addFormField(
        $location,
        $factory->getLabel("locationField")
);


$up=$factory->getFileUpload("ppdFileField");
$up->setOptional(true);
$block->addFormField(
	$up,
	$factory->getLabel("ppdFileField")
);

$block->addButton($factory->getSaveButton($page->getSubmitAction()));
$block->addButton($factory->getCancelButton("/base/printserver/printerList.php"));

$serverScriptHelper->destructor();

?>
<?php print($page->toHeaderHtml()); ?>

<?php print($block->toHtml()); ?>
<SCRIPT>
 
function checkName(element){
        var foo = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
        for (var i = 0; i < element.value.length; i++){
                if(foo.indexOf(element.value.charAt(i)) == -1){
                        top.code.error_invalidElement(element, top.code.string_substitute(element.invalidMessage, "[[VAR.invalidValue]]", element.value));
                        return false;
                }
        }
        return true;
}
 
document.form.printerNameField.changeHandler=checkName;
 
</SCRIPT> 
<?php print($page->toFooterHtml()); ?> 
